import {OpenlayerMap} from "./OpenlayerMap.ts";

(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.openlayers_field = {
    attach(context, settings) {
      $(context).find('div[data-map="openlayers"]').each(function(){
        let map = new OpenlayerMap($(this).prop('id'));
        map.init();
      });
    }
  }
}(jQuery, Drupal, drupalSettings));
